Subject: Re: [PATCH iproute-3.8 0/6] ip netns bug fixes and enhancements

From: [email-masked] (Eric W. Biederman)
Date: Thu, 07 Feb 2013 00:57:56 -0800

Vijay Subramanian <[email-masked]> writes:

>>
>> Eric W. Biederman (6):
>>       iproute2: Don't propogate mounts out of ip netns exec.
>>       iproute2: Normalize return codes in "ip netns"
>>       iproute2: Improve "ip netns add" failure error message
>>       iproute2: Make "ip netns delete" more likely to succeed
>>       iproute2: Fill in the ip-netns.8 manpage
>>       iproute2: Add "ip netns pids" and "ip netns identify"
>>
>
>
> Eric,
> With these patches applied, I am getting the following errors:
>
>
> make[1]: Entering directory `/root/tools/iproute2/ip'
> gcc -Wall -Wstrict-prototypes -Werror -O2 -I../include
> -DRESOLVE_HOSTNAMES -DLIBDIR=\"/usr/lib\" -DCONFDIR=\"/etc/iproute2\"
> -D_GNU_SOURCE   -c -o ipaddress.o ipaddress.c
> gcc -Wall -Wstrict-prototypes -Werror -O2 -I../include
> -DRESOLVE_HOSTNAMES -DLIBDIR=\"/usr/lib\" -DCONFDIR=\"/etc/iproute2\"
> -D_GNU_SOURCE   -c -o ipnetns.o ipnetns.c
> ipnetns.c: In function ‘netns_exec’:
> ipnetns.c:156: error: ‘MS_SLAVE’ undeclared (first use in this function)
> ipnetns.c:156: error: (Each undeclared identifier is reported only once
> ipnetns.c:156: error: for each function it appears in.)
> ipnetns.c:156: error: ‘MS_REC’ undeclared (first use in this function)
> ipnetns.c: In function ‘netns_add’:
> ipnetns.c:372: error: ‘MS_SHARED’ undeclared (first use in this function)
> ipnetns.c:372: error: ‘MS_REC’ undeclared (first use in this function)
> make[1]: *** [ipnetns.o] Error 1
> make[1]: Leaving directory `/root/tools/iproute2/ip'
> make: *** [all] Error 2

On my system those defines are coming out of sys/mount.h and date back
to 2.6.5 or so.  You should have them available on your system.

What weird system are you on that doesn't export those?

I don't have a clue on where to start at a practical level.  It wouldn't
be hard to provide some #ifndef compat glue but I can't imagine why that
would be needed.

Eric